Subject: Re: [Roadsters] Garage lift ([email-masked])

From: Mark Miller via Datsun-roadsters <[email-masked]>
Date: Sat, 7 Jun 2025 03:06:35 -0700

I had a Dannmar D-7 4 post lift.  Worked really well for my roadster.  I 
bought it to use primarily as a storage lift to keep 2 cars in a 1 car 
garage; when I built my house the garage placement made it expensive to 
make a bigger garage without major excavation.  Garage walls were 9'6" 
tall and I used scissor trusses to get even more headroom.

 From the conversation when I sold it:

Some more details: it is a Dannmar D-7. They don't make that model any more but they say it has been replaced by the D4-9, which is a 9000 pound rated lift. I am guessing this one is 7000 pounds. It is 14' 3" long and 8'9" wide plus another foot or so for the hydraulic pump; posts are about 6-7 feet tall. Lift was designed to not need to be bolted down and has wheel assemblies you can use to roll it around

Regards,

Mark Miller   707-490-5834
[email-masked]

On 6/3/2025 3:08 PM, [email-masked] wrote:
> ---------------------------------------------
>
> Message: 1
> Date: Tue, 3 Jun 2025 20:24:34 +0000 (UTC)
> From: "[email-masked]" <[email-masked]>
> To: "[email-masked]"
> 	<[email-masked]>
> Subject: [Roadsters] Garage lift
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"
>
> I'm looking for recommendations on a car lift for the roadster. I have a double garage with 9 ft ceilings.? I'd like the lift to be portable.??
> Anone have thoughts?
> 1966 spl311
>
> Steven D Wix
> 505-281-5063
> Sent from AOL on Android
>
________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/datsun-roadsters http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/datsun-roadsters/[email-masked]